﻿namespace CoreLibrary
{
    /// <summary>
    /// Class fille de la class Jeton
    /// Class JetonIndicateur qui créé un jeton du joueur avec une des couleurs de l'enum couleur
    /// </summary>
    public class JetonIndicateur : Jeton
    {
        public JetonIndicateur(Couleur couleur) 
            :base(couleur)
        {
            if(couleur < Couleur.Noir) 
            {
                throw new ArgumentException("La couleur doit etre Noir ou Blanche");
            }


        }
    }
}
